# Функция резолвинга доменов через dns gemini gateway.  
Нужен для того, чтобы резолвить домены вручную даже в случае краха обычного DNS.  
В основном инструкция предназначена для Linux пользователей.  

Установите gemget, в большинстве дистрибутивов он есть в репозиториях.  

И добавьте следующее содержимое в ваш файл ~/.bashrc или ~/.zshrc:
```
function gemns() {
	gemget -o - "gemini://gemini.bortzmeyer.org/dns/$1"
}
```
Перезапустите ваш терминал или пропишите source ~/.bashrc or ~/.zshrc  

Теперь вы можете с помощью команды gemns <имя_домена.хз> узнавать ip адреса доменов и добавлять их например в /etc/hosts.  
Кстати, настоятельно рекомендую добавить ip адрес этого gemini dns резолвера в hosts:
```
193.70.85.11	gemini.bortzmeyer.org
```
